Package org.apache.tomcat.util.net

# Class Nio2Endpoint.SocketProcessor

java.lang.Object
org.apache.tomcat.util.net.SocketProcessorBase<Nio2Channel>
org.apache.tomcat.util.net.Nio2Endpoint.SocketProcessor

All Implemented Interfaces:
  `Runnable`

Enclosing class:
  `Nio2Endpoint`

protected class Nio2Endpoint.SocketProcessor extends SocketProcessorBase<Nio2Channel>
This class is the equivalent of the Worker, but will simply use in an external Executor thread pool.

## Field Summary

### Fields inherited from class org.apache.tomcat.util.net.SocketProcessorBase

`event, socketWrapper`

## Constructor Summary

Constructors
Constructor
Description
`SocketProcessor(SocketWrapperBase<Nio2Channel> socketWrapper, SocketEvent event)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doRun()`

### Methods inherited from class org.apache.tomcat.util.net.SocketProcessorBase

`reset, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SocketProcessor

public SocketProcessor(SocketWrapperBase<Nio2Channel> socketWrapper, SocketEvent event)

## Method Details

### doRun

protected void doRun()

Specified by:
  `doRun` in class `SocketProcessorBase<Nio2Channel>`